using APT.Infrastructure.Api;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;
using APT.Infrastructure.Core;
using System.Collections.Generic;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;

namespace APT.BaseData.Domain.Entities
{
    [Description("意见反馈")]
    [DataRuleField("DEPARTMENT_ID")]
    public partial class T_PF_FDDEBACK : MesEntityBase
    {
        /// <summary>
        /// 反馈人
        /// </summary>
        [Description("反馈人")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid? USER_ID { get; set; }

        /// <summary>
        /// 导航：反馈
        /// </summary>
        [Description("导航：反馈")]
        [FormFieldQuery]
        [FormFieldTable]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 部门Id
        /// </summary>
        [Description("部门Id")]
        [DataFieldForeignKey("Nav_Department")]
        [FormFieldEdit]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 导航：部门
        /// </summary>
        [Description("导航：部门")]
        [FormFieldQuery]
        [FormFieldTable]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        /// <summary>
        ///反馈类型
        /// </summary>
        [Description("反馈类型")]
        public Enums.PF.FeedBackEnum? FEEDBACK_TYPE { get; set; }

        /// <summary>
        ///反馈意见
        /// </summary>
        [Description("反馈意见")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        [FormFieldTable]
        public string INFO { get; set; }


        /// <summary>
        /// 附件表
        /// </summary>
        [Description("附件表")]
        [FormFieldEdit]
        public virtual List<T_PF_FDDEBACK_FILE> Nav_Files { get; set; }


        /// <summary>
        /// 状态  10 30
        /// </summary>
        [Description("状态")]
        public PFStandardStatus STATUS { get; set; }

        /// <summary>
        ///答复
        /// </summary>
        [Description("答复")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        [FormFieldTable]
        public string BACKINFO { get; set; }
    }
}